Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.event
Interface Destructible

    public interface Destructible

Contract for listeners which require notification of SessionFactory closing, presumably to destroy internal state.

Author:
  Steve Ebersole

Method Summary
`void` | `cleanup()` Notification of `SessionFactory` shutdown.

Method Detail

### cleanup

    void cleanup()

  Notification of `SessionFactory` shutdown.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2010 Red Hat, Inc. All Rights Reserved.